For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
  • Identity API
      • GETGet a list of all API Keys
      • POSTCreate an API Key
      • POSTSearch for api keys using a filter
      • GETGet an API key by id
      • PATCHPatch an API key by id
      • GETGet a decrypted API key by id
  • Transaction API
  • Event API
LoginSandbox
Identity APIAPI Keys

Get a list of all API Keys

GET
/v:version/api-keys
GET
/v:version/api-keys
$curl https://test.api.solvimon.com/v1/api-keys \
> -H "X-API-KEY: <apiKey>"
1{
2 "data": [
3 {
4 "object_type": "string",
5 "id": "string",
6 "api_key": "string",
7 "entity_id": "string",
8 "created_at": "string",
9 "status": "INVITED",
10 "description": "string",
11 "role_type": "ADMINISTRATOR",
12 "active": true,
13 "account_memberships": [
14 {
15 "object_type": "string",
16 "id": "string",
17 "account_id": "string",
18 "account": {
19 "id": "string",
20 "reference": "string",
21 "account_type_code": "string",
22 "environment": "string",
23 "account_group_id": "string",
24 "parent_id": "string",
25 "platform_id": "string"
26 },
27 "type": "ADMIN",
28 "role_ids": [
29 "string"
30 ],
31 "account_reference": "string",
32 "environment": "string",
33 "roles": [
34 {
35 "object_type": "string",
36 "id": "string",
37 "name": "string",
38 "description": "string",
39 "entity_id": "string",
40 "child_role_ids": [
41 "string"
42 ],
43 "child_roles": [
44 {}
45 ]
46 }
47 ]
48 }
49 ],
50 "team_memberships": [
51 {
52 "team_id": "string",
53 "start_at": "2024-01-15T09:30:00Z",
54 "end_at": "2024-01-15T09:30:00Z",
55 "account_memberships": [
56 {
57 "object_type": "string",
58 "id": "string",
59 "account_id": "string",
60 "account": {
61 "id": "string",
62 "reference": "string",
63 "account_type_code": "string",
64 "environment": "string",
65 "account_group_id": "string",
66 "parent_id": "string",
67 "platform_id": "string"
68 },
69 "type": "ADMIN",
70 "role_ids": [
71 "string"
72 ],
73 "account_reference": "string",
74 "environment": "string",
75 "roles": [
76 {
77 "object_type": "string",
78 "id": "string",
79 "name": "string",
80 "description": "string",
81 "entity_id": "string",
82 "child_role_ids": [
83 "string"
84 ],
85 "child_roles": [
86 {}
87 ]
88 }
89 ]
90 }
91 ]
92 }
93 ]
94 }
95 ],
96 "links": {
97 "first": "string",
98 "previous": "string",
99 "current": "string",
100 "next": "string"
101 },
102 "limit": 1,
103 "page": 1,
104 "total_number_of_pages": 1
105}
Requires the USER.API.VIEW permission.
Was this page helpful?
Previous

Create an API Key

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

activebooleanOptional
The active flag by which the resource will be filtered.
limitintegerOptional
The amount of records shown in the list
pageintegerOptional
The page which is going to be shown
order_bystringOptional
The parameter by which the response is ordered.
order_directionstringOptional
The order direction by which the response is ordered.

Response

OK
datalist of objects
linksobject
limitinteger or null
pageinteger or null
total_number_of_pagesinteger or nullDeprecated

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error